@echo off

REM ########################################################################################
REM ##                                                                                    ##
REM ## Radiance Workshop 2019 Tutorial                                                    ##
REM ## BSDF GENERATION AND USE IN ANNUAL, MATRIX-BASED DAYLIGHT SIMULATIONS WITH RADIANCE ##
REM ## 21 Aug. 2019, David Geisler-Moroder, Bartenbach GmbH                               ##
REM ##                                                                                    ##
REM ## Example script for generating BSDF from geometrical blind model                    ##
REM ##                                                                                    ##
REM ########################################################################################

set sysname=blinds_20deg
set sysperiod=0.052
set systhick=0.0657238
set samp=10000
REM #samp=100 # to show...

REM # convert *.obj into *.rad
obj2rad %sysname%.obj > %sysname%.rad

REM # generate Klems BSDF
echo "Running genBSDF on %sysname% for Klems..."
perl "C:\Program Files\Radiance\bin\genBSDF.pl"  -c %samp% +b +f -geom meter -dim -%sysperiod% %sysperiod% -%sysperiod% %sysperiod% -%systhick% 0 %sysname%.mat %sysname%.rad > %sysname%_Klems.xml

REM # generate tensor tree BSDF
echo "Running genBSDF on %sysname% for Tensor Tree (t4 5)..."
perl "C:\Program Files\Radiance\bin\genBSDF.pl"  -c %samp% +b +f -t4 5 -t 95 -geom meter -dim -%sysperiod% %sysperiod% -%sysperiod% %sysperiod% -%systhick% 0 %sysname%.mat %sysname%.rad > %sysname%_t45.xml

echo "done."